@echo off

goto start



:pfade

rem %%%% Adjust Paths in the following two lines: (In folgenden zwei Zeilen Pfade einstellen:)

set lccpath=c:\lcc

set matlabpath=c:\Programme\MATLAB71

rem %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

set path=%lccpath%\bin;%path%

set lccinclude=-I"%lccpath%\include;%lccpath%\include\sys"

set lccopt=-c -A -Zp8 -ansic -O -DMATLAB_MEX_FILE -DNDEBUG

set lnklib="%lccpath%\lib\libf77.lib" "%matlabpath%\extern\lib\win32\lcc\libmx.lib" "%matlabpath%\extern\lib\win32\lcc\libmex.lib" "%matlabpath%\extern\lib\win32\lcc\libmat.lib"

if exist "%matlabpath%\extern\lib\win32\lcc\libmatlbmx.lib" set lnklib=%lnklib% "%matlabpath%\extern\lib\win32\lcc\libmatlbmx.lib"

set matlabinclude=-I"%matlabpath%\extern\include" 

goto compile



:start

if not "%lccpath%"=="" goto compile

goto pfade



:compile

rem Fortran

f2c -A radau.f

f2c -A dc_lapack.f

f2c -A lapack.f

f2c -A lapackc.f 



rem C

lcc %lccopt% %lccinclude% -ForadauMex.obj %matlabinclude% -UFORTRANUPP -UFORTRANNOUNDER radauMex.c

lcc %lccopt% %lccinclude% -Fooptions.obj %matlabinclude% options.c

lcc -c -Zp8 %lccinclude% -DMATLAB_MEX_FILE "%matlabpath%\sys\lcc\mex\lccstub.c" -Fo_libstub.obj 

lrc %lccinclude% -fo"mexversion.res"  "%matlabpath%\extern\include\mexversion.rc" 

lcclnk -o radauMex.dll -dll "%matlabpath%\extern\lib\win32\lcc\mexFunction.def" -s _libstub.obj radauMex.obj radau.obj options.obj dc_lapack.obj lapack.obj lapackc.obj mexversion.res %lnklib%





rem Aufrumen

if exist radau.c del radau.c

if exist radau.obj del radau.obj 

if exist dc_lapack.c del dc_lapack.c

if exist dc_lapack.obj del dc_lapack.obj 

if exist lapack.c del lapack.c

if exist lapack.obj del lapack.obj 

if exist lapackc.c del lapackc.c

if exist lapackc.obj del lapackc.obj 



if exist options.obj del options.obj



if exist radauMex.exp del radauMex.exp

if exist radauMex.lib del radauMex.lib

if exist radauMex.obj del radauMex.obj



if exist mexversion.res del mexversion.res

if exist _libstub.obj del _libstub.obj

