@echo off
goto start

:pfade
rem %%%% In folgenden zwei Zeilen Pfade einstellen:
set lccpath=c:\lcc
set matlabpath=c:\Programme\MATLAB71
rem %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
set path=%lccpath%\bin;%path%
set lccinclude=-I"%lccpath%\include;%lccpath%\include\sys"
set lccopt=-c -A -Zp8 -ansic -O -DMATLAB_MEX_FILE -DNDEBUG
set lnklib="%lccpath%\lib\libf77.lib" "%matlabpath%\extern\lib\win32\lcc\libmx.lib" "%matlabpath%\extern\lib\win32\lcc\libmex.lib" "%matlabpath%\extern\lib\win32\lcc\libmat.lib"
if exist "%matlabpath%\extern\lib\win32\lcc\libmatlbmx.lib" set lnklib=%lnklib% "%matlabpath%\extern\lib\win32\lcc\libmatlbmx.lib"
set matlabinclude=-I"%matlabpath%\extern\include" 
goto compile

:start
if not "%lccpath%"=="" goto compile
goto pfade

:compile
rem Fortran
f2c -A radau5.f
f2c -A dc_lapack.f
f2c -A lapack.f
f2c -A lapackc.f 

rem C
lcc %lccopt% %lccinclude% -Foradau5Mex.obj %matlabinclude% -UFORTRANUPP -UFORTRANNOUNDER radau5Mex.c
lcc %lccopt% %lccinclude% -Fooptions.obj %matlabinclude% options.c
lcc -c -Zp8 %lccinclude% -DMATLAB_MEX_FILE "%matlabpath%\sys\lcc\mex\lccstub.c" -Fo_libstub.obj 
lrc %lccinclude% -fo"mexversion.res"  "%matlabpath%\extern\include\mexversion.rc" 
lcclnk -o radau5Mex.dll -dll "%matlabpath%\extern\lib\win32\lcc\mexFunction.def" -s _libstub.obj radau5Mex.obj radau5.obj options.obj dc_lapack.obj lapack.obj lapackc.obj mexversion.res %lnklib%


rem Aufrumen
if exist radau5.c del radau5.c
if exist radau5.obj del radau5.obj 
if exist dc_lapack.c del dc_lapack.c
if exist dc_lapack.obj del dc_lapack.obj 
if exist lapack.c del lapack.c
if exist lapack.obj del lapack.obj 
if exist lapackc.c del lapackc.c
if exist lapackc.obj del lapackc.obj 

if exist options.obj del options.obj

if exist radau5Mex.exp del radau5Mex.exp
if exist radau5Mex.lib del radau5Mex.lib
if exist radau5Mex.obj del radau5Mex.obj

if exist mexversion.res del mexversion.res
if exist _libstub.obj del _libstub.obj
