@echo off
goto start

:pfade
rem %%%% Adjust Paths in the following two lines: (In folgenden zwei Zeilen Pfade einstellen:)
set wcpath=c:\watcom
set matlabpath=c:\Programme\MATLAB71
rem %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
set watcom=%wcpath%
set path=%wcpath%\binnt;%wcpath%\binw;%path%
set include=%wcpath%\H;%wcpath%\H\nt;%include%
set lib=%wcpath%\lib386\nt;%wcpath%\lib386;%lib%
set wcopt=-c -mf -za -wx -d0 -ox -bd -bt=nt -6s -ei -fpi87 -fp6 -zp8 -fr# -DMATLAB_MEX_FILE -DNDEBUG
set wfopt=-c -mf -ox -d0 -bd -sc -6 -fpi87 
set lnklib=libpath %matlabpath%\extern\lib\win32\watcom\openwc13 library libmx.lib,libmex.lib,libmat.lib,user32.lib
set matlabinclude=-i="%matlabpath%\extern\include" 
goto compile

:start
if not "%wcpath%"=="" goto compile
goto pfade

:compile
rem Fortran
wfl386 %wfopt% radau5.f
wfl386 %wfopt% dc_lapack.f
wfl386 %wfopt% lapack.f
wfl386 %wfopt% lapackc.f

rem C
wcl386 %wcopt% -fo=radau5Mex.obj %matlabinclude% -DFORTRANUPP -DFORTRANNOUNDER radau5Mex.c
wcl386 %wcopt% -fo=options.obj %matlabinclude% options.c
wrc -r "%matlabpath%\extern\include\mexversion.rc" -fo="mexversion.res"
wlink name radau5Mex.dll system nt_dll export mexFunction option caseexact %lnklib% file radau5.obj,options.obj,radau5Mex.obj,dc_lapack.obj,lapack.obj,lapackc.obj res mexversion.res

rem Cleanup (Aufrumen)
if exist radau5.err del radau5.err
if exist radau5.obj del radau5.obj
if exist dc_lapack.err del dc_lapack.err
if exist dc_lapack.obj del dc_lapack.obj
if exist lapack.err del lapack.err
if exist lapack.obj del lapack.obj
if exist lapackc.err del lapackc.err
if exist lapackc.obj del lapackc.obj

if exist options.obj del options.obj

if exist radau5Mex.obj del radau5Mex.obj
if exist radau5Mex.err del radau5Mex.err

if exist mexversion.res del mexversion.res


